Package org.gradle.plugins.ide.eclipse

# Class EclipsePlugin

java.lang.Object
org.gradle.plugins.ide.internal.IdePlugin
org.gradle.plugins.ide.eclipse.EclipsePlugin

All Implemented Interfaces:
  `Plugin<Project>`

public class EclipsePlugin extends org.gradle.plugins.ide.internal.IdePlugin

A plugin which generates Eclipse files.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ECLIPSE_CP_TASK_NAME`
`static final String`
`ECLIPSE_JDT_TASK_NAME`
`static final String`
`ECLIPSE_PROJECT_TASK_NAME`
`static final String`
`ECLIPSE_TASK_NAME`

### Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin

`project`

## Constructor Summary

Constructors
Constructor
Description
`EclipsePlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.plugins.ide.internal.configurer.UniqueProjectNameProvider uniqueProjectNameProvider)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getLifecycleTaskName()`
`protected void`
`onApply(Project project)`
`void`
`performPostEvaluationActions()`
Deprecated.

### Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin

`addWorker, addWorker, apply, cleanName, getCleanTask, getCleanTask, getLifecycleTask, postProcess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ECLIPSE_TASK_NAME

public static final String ECLIPSE_TASK_NAME

See Also:
  - Constant Field Values

### ECLIPSE_PROJECT_TASK_NAME

public static final String ECLIPSE_PROJECT_TASK_NAME

See Also:
  - Constant Field Values

### ECLIPSE_CP_TASK_NAME

public static final String ECLIPSE_CP_TASK_NAME

See Also:
  - Constant Field Values

### ECLIPSE_JDT_TASK_NAME

public static final String ECLIPSE_JDT_TASK_NAME

See Also:
  - Constant Field Values

## Constructor Details

### EclipsePlugin

@Inject public EclipsePlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.plugins.ide.internal.configurer.UniqueProjectNameProvider uniqueProjectNameProvider)

## Method Details

### getLifecycleTaskName

protected String getLifecycleTaskName()

Specified by:
  `getLifecycleTaskName` in class `org.gradle.plugins.ide.internal.IdePlugin`

### onApply

protected void onApply(Project project)

Overrides:
  `onApply` in class `org.gradle.plugins.ide.internal.IdePlugin`

### performPostEvaluationActions

@Deprecated public void performPostEvaluationActions()
Deprecated.